#!/bin/sh

SUMF=`type -p sumf`
SUSER=/opt/kde3/sbin/scpm_user

test -z "$SUMF" && SUMF=/usr/bin/sumf

if [ ! -x "$SUMF" ]; then
	echo "Could not find SUMF executable" >&2
	exit 1
fi

if [ -x $SUSER ]; then
	$SUSER -c -s $SUMF $USER
	if [ $? = 0 ]; then
		exec $SUMF
	fi
fi

kdesu $SUMF

exit 0
